Function
compactPairMatchIds
Renames pairMatchId sequentially beginning with 0.
compactPairMatchIds(store)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore

Remarks
This function renames the pairMatchId in the alignedReadStore sequentially beginning with 0. Two read alignments can be identified to be a pair match if they have the same pairMatchId. Please note that paired reads not necessarily have to mapped as a pair match, e.g. if they are on different contigs or have the same orientation or a wrong insert size.
Return Values
The number of pair matches.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46